# Knil 🔗

![](https://travis-ci.org/ethanhuang13/knil.svg?branch=master) ![GitHub release](https://img.shields.io/github/release/ethanhuang13/knil.svg) ![GitHub top language](https://img.shields.io/github/languages/top/ethanhuang13/knil.svg) [![GitHub](https://img.shields.io/github/license/ethanhuang13/knil.svg)](https://github.com/ethanhuang13/knil/blob/master/LICENSE)

Knil made Universal Link testing easier. It fetches and parses apple-app-site-association file for you to quickly check whether Universal Link is working.

## Features

| | Features |
| --- | --- |
| 😇 | Open source iOS project written in Swift 4 |
| 📲 | Fetch and parse apple-app-site-association(AASA) file |
| 💡 | App Store links and metadata |
| 🚀 | List all Universal Links. One tap to test! |
| 🛠️ | Customizable test links |
| 🤝 | Link to other validation tools like Branch.io's [AASA Validator](https://branch.io/resources/aasa-validator/) or Apple's [App Search API Validation Tool](https://search.developer.apple.com/appsearch-validation-tool/) | 
| 🆓 | Free without ads |
| 🚫 | No third-party tracking or analytics |

## Naming
```
"knil" == "link".reversed()
```

## Install

- Clone the repo on [GitHub](https://github.com/ethanhuang13/knil)
- Open the project with Xcode 9 or above
- Change bundle ID to something like `com.yourcompany.Knil`
- Build and run on your iOS devices

## Contribution

- Feedback and [issues](https://github.com/ethanhuang13/knil/issues/new) are welcome.
